stl_bvector.h File Reference

Go to the source code of this file.

## Classes

struct | std::hash<::vector< bool, _Alloc > >
class | std::vector< bool, _Alloc >

## Namespaces

| std

## Typedefs

typedef unsigned long | std::_Bit_type

## Enumerations

enum | { _S_word_bit }

## Functions

void | std::__fill_bvector (_Bit_iterator __first, _Bit_iterator __last, bool __x)
void | std::fill (_Bit_iterator __first, _Bit_iterator __last, const bool &__x)
_Bit_iterator | std::operator+ (ptrdiff_t __n, const _Bit_iterator &__x)
_Bit_const_iterator | std::operator+ (ptrdiff_t __n, const _Bit_const_iterator &__x)
ptrdiff_t | std::operator- (const _Bit_iterator_base &__x, const _Bit_iterator_base &__y)
void | std::swap (_Bit_reference __x, _Bit_reference __y) noexcept
void | std::swap (_Bit_reference __x, bool &__y) noexcept
void | std::swap (bool &__x, _Bit_reference __y) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <vector>.

Definition in file stl_bvector.h.